# Uses of Interface
org.eclipse.core.resources.IResourceRuleFactory

Packages that use IResourceRuleFactory
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.team
Provides APIs intended to be implemented by the Team component.
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.

## Uses of IResourceRuleFactory in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IResourceRuleFactory
Modifier and Type
Method
Description
`IResourceRuleFactory`
IWorkspace.`getRuleFactory()`
Returns a factory for obtaining scheduling rules prior to modifying resources in the workspace.

## Uses of IResourceRuleFactory in org.eclipse.core.resources.team

Classes in org.eclipse.core.resources.team that implement IResourceRuleFactory
Modifier and Type
Class
Description
`class`
`ResourceRuleFactory`
Default implementation of IResourceRuleFactory.
Fields in org.eclipse.core.resources.team declared as IResourceRuleFactory
Modifier and Type
Field
Description
`protected final IResourceRuleFactory`
TeamHook.`defaultFactory`
The default resource scheduling rule factory.
Methods in org.eclipse.core.resources.team that return IResourceRuleFactory
Modifier and Type
Method
Description
`IResourceRuleFactory`
TeamHook.`getRuleFactory(IProject project)`
Returns the resource scheduling rule factory that should be used when workspace operations are invoked on resources in that project.
Methods in org.eclipse.core.resources.team with parameters of type IResourceRuleFactory
Modifier and Type
Method
Description
`protected final void`
TeamHook.`setRuleFactory(IProject project, IResourceRuleFactory factory)`
Sets the resource scheduling rule factory to use for resource modifications in the given project.

## Uses of IResourceRuleFactory in org.eclipse.team.core

Methods in org.eclipse.team.core that return IResourceRuleFactory
Modifier and Type
Method
Description
`IResourceRuleFactory`
RepositoryProvider.`getRuleFactory()`
Return the resource rule factory for this provider.

## Uses of IResourceRuleFactory in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that return IResourceRuleFactory
Modifier and Type
Method
Description
`protected IResourceRuleFactory`
AbstractWorkspaceOperation.`getWorkspaceRuleFactory()`
Return the workspace rule factory associated with this operation.